import { useMemo, useState, useEffect } from 'react';
import { useGLTF } from '@react-three/drei';
import * as THREE from 'three';
import { MODEL_SHELF_SCALE } from '@/config/setting'
import { DRACOLoader } from 'three/examples/jsm/loaders/DRACOLoader';
import { GLTFLoader } from 'three/examples/jsm/loaders/GLTFLoader';
import Box from './box';


const Shelf = (props) => {
    const { position = [0, 300, 0], rotationY = 0 } = props;

    const { nodes, materials } = useMemo(() => {
        return useGLTF('/models/shelf/row.glb');
    }, [])

    return (
        <>
            <group rotation-y={rotationY} position={position}>
                <primitive
                    castShadow
                    receiveShadow
                    object={nodes.物件_1001}
                    material={materials['材质_1.002']}
                    position={[0, 99, 0]}
                    scale={50000}
                />
            </group>
            {/* <Box rotationY={Math.PI / 2} position={[0, 100, -50]} />
            <Box rotationY={Math.PI / 2} position={[0, 100, 0]} />
            <Box rotationY={Math.PI / 2} position={[0, 100, 30]} /> */}
        </>
    )
}

export default Shelf;